Skip to main content
POST
/
api
/
invoices
/
{invoice_uid}
/
register
Register AP invoice
curl --request POST \
  --url https://dev.exante.app/api/invoices/{invoice_uid}/register \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "registration_code": "<string>"
}
'
Completes registration for an AP invoice by providing an external registration code. The invoice transitions to REGISTERED status and the registration action log is marked as completed. The response includes the full invoice data along with approved_by, registered_by, approval_date, and registration_date fields.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

invoice_uid
string<uuid>
required

Invoice UID

Body

application/json
registration_code
string
required

External registration code for the invoice.

Response

Invoice registered